Package de.willuhn.jameica.hbci.io

# Class PDFUmsatzByTypeExporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractPDFUmsatzExporter<UmsatzTyp>
de.willuhn.jameica.hbci.io.PDFUmsatzByTypeExporter

All Implemented Interfaces:
  `Exporter`, `IO`

public class PDFUmsatzByTypeExporter extends AbstractPDFUmsatzExporter<UmsatzTyp>
Exportiert Umsaetze gruppiert nach Kategorie im PDF-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.io.AbstractPDFUmsatzExporter

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`PDFUmsatzByTypeExporter()`

## Method Summary

Modifier and Type
Method
Description
`protected UmsatzTyp`
`getGroup(Umsatz u)`
Liefert das Objekt, nach dem gruppiert werden soll.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.
`protected void`
`sort(List<UmsatzTyp> groups)`
Ermoeglicht die optionale Sortierung der Gruppen vor der Ausgabe.
`protected String`
`toString(UmsatzTyp t)`
Liefert eine sprechende Bezeichnung fuer die Gruppe.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractPDFUmsatzExporter

`doExport, getIOFormats, suppportsExtension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PDFUmsatzByTypeExporter

public PDFUmsatzByTypeExporter()

## Method Details

### getGroup

protected UmsatzTyp getGroup(Umsatz u) throws RemoteException
Description copied from class: `AbstractPDFUmsatzExporter`
Liefert das Objekt, nach dem gruppiert werden soll.

Specified by:
  `getGroup` in class `AbstractPDFUmsatzExporter<UmsatzTyp>`
Parameters:
  `u` - der Umsatz.
Returns:
  das Gruppierungsobjekt. Kann NULL sein.
Throws:
  `RemoteException`

### toString

protected String toString(UmsatzTyp t) throws RemoteException
Description copied from class: `AbstractPDFUmsatzExporter`
Liefert eine sprechende Bezeichnung fuer die Gruppe.

Specified by:
  `toString` in class `AbstractPDFUmsatzExporter<UmsatzTyp>`
Parameters:
  `t` - die Gruppe. Kann NULL sein.
Returns:
  sprechende Bezeichnung der Gruppe.
Throws:
  `RemoteException`

### sort

protected void sort(List<UmsatzTyp> groups) throws RemoteException
Description copied from class: `AbstractPDFUmsatzExporter`
Ermoeglicht die optionale Sortierung der Gruppen vor der Ausgabe. Leere Dummy-Implementierung.

Overrides:
  `sort` in class `AbstractPDFUmsatzExporter<UmsatzTyp>`
Parameters:
  `groups` - die Gruppen.
Throws:
  `RemoteException`

### getName

public String getName()
Description copied from interface: `IO`
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Returns:
  Name